Subject: Re: bug#40907: Font-lock-mode hanging in Java buffers

From: Dmitry Gutov <[email-masked]>
Date: Mon, 27 Apr 2020 20:38:32 +0300

On 27.04.2020 20:30, Adam Van Ymeren wrote:
> I've been doing a lot of Java work lately, and I'm having issues with 
> emacs hanging and spinning at 100% CPU.  I believe the culprit to be 
> font-lock-mode.  C-g doesn't save me either, I usually have to kill 
> emacs.  Any advice on how to debug this if C-g doesn't work?

You can send the USR2 signal to the Emacs process to try to interrupt 
what it's doing and enter the debugger:

kill -SIGUSR2 <pid>

To fix this, we'll most likely need the contents of the buffer that has 
the problem. If it's proprietary, you could try recreating the problem 
from scratch, or replacing all identifiers in the code with something 
else, etc.

You could also try a build of Emacs 27 first before doing all that.